<template>
  <div></div>
</template>
<script>
import axios from 'axios'
import { MODAL } from '@/store/types'
export default {
  name: 'ConfirmAccountHandler',
  async created () {
    const api = process.env.VUE_APP_API

    await axios.post(`${api}/confirm-account?token=${this.$route.query.token}`)
    this.$router.push('/login')
    setTimeout(() => {
      this.$store.commit(MODAL.MUTATION.SET_IS_MODAL_OPEN, true)
      this.$store.commit(MODAL.MUTATION.SET_MODAL_CONTENT, `Successfully confirmed account!`)
      this.$store.commit(MODAL.MUTATION.SET_MODAL_ICON, 'success')
    }, 200)
  }
}
</script>
<style lang="scss" scoped>

</style>
